package com.om.entity.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 修理厂信息表
 * </p>
 *
 * @author bmmx
 * @since 2024-02-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("distributor")
@ApiModel(value="Distributor对象", description="修理厂信息表")
public class Distributor implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "标识符")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "公司名称")
    private String company;

    @ApiModelProperty(value = "联系人姓名")
    private String contactName;

    @ApiModelProperty(value = "联系人电话")
    private String contactPhone;

    @ApiModelProperty(value = "公司地址")
    private String address;

    @ApiModelProperty(value = "公司电话")
    private String telephone;

    @ApiModelProperty(value = "公司网址")
    private String website;

    @ApiModelProperty(value = "维修编号")
    private Integer repairNo;

    @ApiModelProperty(value = "启用状态")
    private Integer enableStatus;

    @ApiModelProperty(value = "额外备注")
    private String remark;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updateTime;


}
